Get all cost alert events
curl --request GET \
--url https://api.vantage.sh/v2/cost_alerts/{cost_alert_token}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/cost_alerts/{cost_alert_token}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/cost_alerts/{cost_alert_token}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/cost_alerts/cstm_alrt_rl_71cacf1cf755fe36/events",
"first": "https://api.vantage.sh/v2/cost_alerts/cstm_alrt_rl_71cacf1cf755fe36/events?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/cost_alerts/cstm_alrt_rl_71cacf1cf755fe36/events?page=1",
"prev": null
},
"cost_alert_events": [
{
"token": "cstm_alrt_evnt_87124a0f2989837b",
"created_at": "2025-04-08T17:39:30Z",
"triggered_at": "2025-04-10T17:39:30Z",
"description": "Day over day costs for aws and storage increased by $500.0.",
"alert_type": "change_in_cost",
"metadata": {
"change_in_cost": "500.0",
"groupings": [
"aws",
"storage"
]
},
"report_token": "rprt_e9f27fc1c3b68204",
"alert_token": "cstm_alrt_rl_71cacf1cf755fe36"
},
{
"token": "cstm_alrt_evnt_5c67b34433ea6e97",
"created_at": "2025-04-09T17:39:30Z",
"triggered_at": "2025-04-10T17:39:30Z",
"description": "Day over day costs for aws and storage increased by $500.0.",
"alert_type": "change_in_cost",
"metadata": {
"change_in_cost": "500.0",
"groupings": [
"aws",
"storage"
]
},
"report_token": "rprt_1bdc694530d0b3d6",
"alert_token": "cstm_alrt_rl_71cacf1cf755fe36"
}
]
}CostAlertEvents
Get all cost alert events
Get all CostAlertEvents
GET
/
cost_alerts
/
{cost_alert_token}
/
events
Get all cost alert events
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The token of the CostAlertEvent.
Query Parameters
The token of the report associated with the CostAlertEvent.
The page of results to return.
The number of results to return. The maximum is 1000.
⌘I